Update to 2.4.5-RELEASE-p1 (amd64) Bricked SG-4860



  • I don't need any help with this since I managed to get my SG-4860 working again by manually installing pfSense via the console. But, I did want to report it. The behavior was exactly like what happened the last time I used the Update button in the GUI:

    https://forum.netgate.com/topic/128969/update-to-2-4-3-bricked-sg-4860-fixed

    The unit never came back up after what appeared to be a successful update. Exactly like the previous time, the "Rebooting" countdown just kept repeating. Trying to manually connect to it via the network didn't work. After 10 minutes or so of trying, I finally pulled the plug and rebooted it. But, that didn't help. I ended up moving the box to my computer, plugging a console cable in and trying to connect with Putty.

    There were recurring error message scrolling by (I think they were about bad formats), but unfortunately, I didn't think to copy some of them down (sorry). I finally ended up installing a fresh copy of 2.4.5-RELEASE-p1 from a USB thumb drive.

    In case it's of any use (doubtful), here's what scrolled by during the GUI update:

    >>> Updating repositories metadata... 
    Updating pfSense-core repository catalogue...
    Fetching meta.conf: . done
    Fetching packagesite.txz: . done
    Processing entries: .. done
    pfSense-core repository update completed. 14 packages processed.
    Updating pfSense repository catalogue...
    Fetching meta.conf: . done
    Fetching packagesite.txz: .......... done
    Processing entries: 
    Processing entries............. done
    pfSense repository update completed. 544 packages processed.
    All repositories are up to date.
    >>> Setting vital flag on pkg... done.
    >>> Removing vital flag from php72... done.
    >>> Downloading upgrade packages... 
    Updating pfSense-core repository catalogue...
    pfSense-core repository is up to date.
    Updating pfSense repository catalogue...
    pfSense repository is up to date.
    All repositories are up to date.
    Checking for upgrades (105 candidates): .......... done
    Processing candidates (105 candidates): .......... done
    The following 119 package(s) will be affected (of 0 checked):
    
    New packages to be INSTALLED:
    	icu: 65.1,1 [pfSense]
    	isc-dhcp44-client: 4.4.1_1 [pfSense]
    	isc-dhcp44-relay: 4.4.1 [pfSense]
    	isc-dhcp44-server: 4.4.1_4 [pfSense]
    	libgcrypt: 1.8.5 [pfSense]
    	libgpg-error: 1.36 [pfSense]
    	libxslt: 1.1.34 [pfSense]
    	lua-resty-core: 0.1.17 [pfSense]
    	lua-resty-lrucache: 0.09 [pfSense]
    	luajit-openresty: 2.1.20190912_2 [pfSense]
    	php72-intl: 7.2.29 [pfSense]
    	py37-ply: 3.11 [pfSense]
    	py37-setuptools: 41.4.0_1 [pfSense]
    	python37: 3.7.7 [pfSense]
    
    Installed packages to be UPGRADED:
    	bind-tools: 9.12.2P1 -> 9.14.12 [pfSense]
    	bsnmp-ucd: 0.4.2 -> 0.4.4 [pfSense]
    	ca_root_nss: 3.39 -> 3.51 [pfSense]
    	ccache: 3.4.2 -> 3.7.1 [pfSense]
    	cpdup: 1.18 -> 1.20 [pfSense]
    	curl: 7.62.0 -> 7.67.0 [pfSense]
    	devcpu-data: 1.19 -> 1.28 [pfSense]
    	dhcp6: 20080615.2 -> 20080615.2_2 [pfSense]
    	dhcpleases: 0.3_1 -> 0.3_2 [pfSense]
    	dmidecode: 3.1_1 -> 3.2 [pfSense]
    	dnsmasq: 2.79,1 -> 2.80_4,1 [pfSense]
    	expat: 2.2.5 -> 2.2.8 [pfSense]
    	filterdns: 2.0_1 -> 2.0_3 [pfSense]
    	gettext-runtime: 0.19.8.1_1 -> 0.20.1 [pfSense]
    	glib: 2.50.3_4,1 -> 2.56.3_7,1 [pfSense]
    	gmp: 6.1.2 -> 6.1.2_1 [pfSense]
    	hostapd: 2.6_2 -> 2.9 [pfSense]
    	ipmitool: 1.8.18_1 -> 1.8.18_2 [pfSense]
    	json-c: 0.13 -> 0.14 [pfSense]
    	ldns: 1.7.0_1 -> 1.7.1_1 [pfSense]
    	libargon2: 20171227 -> 20190702 [pfSense]
    	libedit: 3.1.20170329_2,1 -> 3.1.20191211,1 [pfSense]
    	libevent: 2.1.8_1 -> 2.1.11 [pfSense]
    	libffi: 3.2.1_2 -> 3.2.1_3 [pfSense]
    	libidn2: 2.0.5 -> 2.3.0_1 [pfSense]
    	liblz4: 1.8.2,1 -> 1.9.2,1 [pfSense]
    	libnghttp2: 1.32.0 -> 1.40.0 [pfSense]
    	libucl: 0.8.0 -> 0.8.1 [pfSense]
    	libunistring: 0.9.10 -> 0.9.10_1 [pfSense]
    	libxml2: 2.9.7 -> 2.9.10 [pfSense]
    	libzmq4: 4.2.3 -> 4.3.1_1 [pfSense]
    	links: 2.16,1 -> 2.16_2,1 [pfSense]
    	miniupnpd: 2.0.20180503,1 -> 2.1.20190210,1 [pfSense]
    	mobile-broadband-provider-info: 20170310 -> 20190618_1 [pfSense]
    	mpd5: 5.8_8 -> 5.8_10 [pfSense]
    	nettle: 3.4 -> 3.5.1_1 [pfSense]
    	nginx: 1.14.0_6,2 -> 1.16.1_11,2 [pfSense]
    	ntp: 4.2.8p12 -> 4.2.8p14 [pfSense]
    	oniguruma: 6.8.1 -> 6.9.3 [pfSense]
    	openldap-client: 2.4.46 -> 2.4.48 [pfSense]
    	openvpn: 2.4.6_1 -> 2.4.9 [pfSense]
    	pcre: 8.42 -> 8.43_2 [pfSense]
    	perl5: 5.26.2 -> 5.30.1 [pfSense]
    	pfSense: 2.4.4_1 -> 2.4.5_1 [pfSense]
    	pfSense-Status_Monitoring: 1.7.6 -> 1.7.11_1 [pfSense]
    	pfSense-base: 2.4.4_1 -> 2.4.5_1 [pfSense-core]
    	pfSense-default-config-serial: 2.4.4_1 -> 2.4.5_1 [pfSense-core]
    	pfSense-kernel-pfSense: 2.4.4_1 -> 2.4.5_1 [pfSense-core]
    	pfSense-rc: 2.4.4_1 -> 2.4.5_1 [pfSense-core]
    	pftop: 0.7_8 -> 0.7_9 [pfSense]
    	php72: 7.2.10 -> 7.2.29 [pfSense]
    	php72-bcmath: 7.2.10 -> 7.2.29 [pfSense]
    	php72-bz2: 7.2.10 -> 7.2.29 [pfSense]
    	php72-ctype: 7.2.10 -> 7.2.29 [pfSense]
    	php72-curl: 7.2.10 -> 7.2.29 [pfSense]
    	php72-dom: 7.2.10 -> 7.2.29 [pfSense]
    	php72-filter: 7.2.10 -> 7.2.29 [pfSense]
    	php72-gettext: 7.2.10 -> 7.2.29 [pfSense]
    	php72-hash: 7.2.10 -> 7.2.29 [pfSense]
    	php72-json: 7.2.10 -> 7.2.29 [pfSense]
    	php72-ldap: 7.2.10 -> 7.2.29 [pfSense]
    	php72-mbstring: 7.2.10 -> 7.2.29 [pfSense]
    	php72-opcache: 7.2.10 -> 7.2.29 [pfSense]
    	php72-openssl: 7.2.10 -> 7.2.29 [pfSense]
    	php72-pcntl: 7.2.10 -> 7.2.29 [pfSense]
    	php72-pdo: 7.2.10 -> 7.2.29 [pfSense]
    	php72-pdo_sqlite: 7.2.10 -> 7.2.29 [pfSense]
    	php72-pear: 1.10.5_1 -> 1.10.6 [pfSense]
    	php72-pear-Net_SMTP: 1.8.0 -> 1.9.0 [pfSense]
    	php72-pear-XML_RPC2: 1.1.3_1 -> 1.1.4 [pfSense]
    	php72-pecl-mcrypt: 1.0.1 -> 1.0.3 [pfSense]
    	php72-pecl-zmq: 1.1.3_2 -> 1.1.3_3 [pfSense]
    	php72-posix: 7.2.10 -> 7.2.29 [pfSense]
    	php72-readline: 7.2.10 -> 7.2.29 [pfSense]
    	php72-session: 7.2.10 -> 7.2.29 [pfSense]
    	php72-shmop: 7.2.10 -> 7.2.29 [pfSense]
    	php72-simplexml: 7.2.10 -> 7.2.29 [pfSense]
    	php72-sockets: 7.2.10 -> 7.2.29 [pfSense]
    	php72-sqlite3: 7.2.10 -> 7.2.29 [pfSense]
    	php72-sysvmsg: 7.2.10 -> 7.2.29 [pfSense]
    	php72-sysvsem: 7.2.10 -> 7.2.29 [pfSense]
    	php72-sysvshm: 7.2.10 -> 7.2.29 [pfSense]
    	php72-tokenizer: 7.2.10 -> 7.2.29 [pfSense]
    	php72-xml: 7.2.10 -> 7.2.29 [pfSense]
    	php72-xmlreader: 7.2.10 -> 7.2.29 [pfSense]
    	php72-xmlwriter: 7.2.10 -> 7.2.29 [pfSense]
    	php72-zlib: 7.2.10 -> 7.2.29 [pfSense]
    	py27-setuptools: 39.2.0 -> 41.4.0_1 [pfSense]
    	python27: 2.7.15 -> 2.7.18 [pfSense]
    	radvd: 2.17_5 -> 2.18_2 [pfSense]
    	readline: 7.0.3_1 -> 8.0.1 [pfSense]
    	relayd: 5.5.20140810_2 -> 5.5.20140810_5 [pfSense]
    	rrdtool: 1.7.0_2 -> 1.7.2_1 [pfSense]
    	scponly: 4.8.20110526_2 -> 4.8.20110526_4 [pfSense]
    	smartmontools: 6.6_1 -> 7.0_2 [pfSense]
    	sqlite3: 3.24.0_1 -> 3.30.1 [pfSense]
    	sshguard: 2.2.0_4 -> 2.4.0_4,1 [pfSense]
    	strongswan: 5.7.1 -> 5.8.4 [pfSense]
    	uclcmd: 0.1_2 -> 0.1_3 [pfSense]
    	unbound: 1.8.1 -> 1.10.1 [pfSense]
    	wol: 0.7.1_3 -> 0.7.1_4 [pfSense]
    	wpa_supplicant: 2.6_2 -> 2.9 [pfSense]
    
    Installed packages to be REINSTALLED:
    	check_reload_status-0.0.8 [pfSense] (needed shared library changed)
    	php72-pear-Net_Socket-1.0.14 [pfSense] (ABI changed: 'freebsd:11:x86:64' -> 'freebsd:11:*')
    	php72-pecl-radius-1.4.0.b1 [pfSense] (option added: EXAMPLES)
    
    Number of packages to be installed: 14
    Number of packages to be upgraded: 102
    Number of packages to be reinstalled: 3
    
    The process will require 204 MiB more space.
    144 MiB to be downloaded.
    [1/119] Fetching wpa_supplicant-2.9.txz: .......... done
    [2/119] Fetching wol-0.7.1_4.txz: .... done
    [3/119] Fetching unbound-1.10.1.txz: .......... done
    [4/119] Fetching uclcmd-0.1_3.txz: ... done
    [5/119] Fetching strongswan-5.8.4.txz: .......... done
    [6/119] Fetching sshguard-2.4.0_4,1.txz: .......... done
    [7/119] Fetching sqlite3-3.30.1.txz: .......... done
    [8/119] Fetching smartmontools-7.0_2.txz: .......... done
    [9/119] Fetching scponly-4.8.20110526_4.txz: ... done
    [10/119] Fetching rrdtool-1.7.2_1.txz: .......... done
    [11/119] Fetching relayd-5.5.20140810_5.txz: .......... done
    [12/119] Fetching readline-8.0.1.txz: .......... done
    [13/119] Fetching radvd-2.18_2.txz: ....... done
    [14/119] Fetching python27-2.7.18.txz: .......... done
    [15/119] Fetching py27-setuptools-41.4.0_1.txz: .......... done
    [16/119] Fetching php72-zlib-7.2.29.txz: ... done
    [17/119] Fetching php72-xmlwriter-7.2.29.txz: .. done
    [18/119] Fetching php72-xmlreader-7.2.29.txz: .. done
    [19/119] Fetching php72-xml-7.2.29.txz: ... done
    [20/119] Fetching php72-tokenizer-7.2.29.txz: .. done
    [21/119] Fetching php72-sysvshm-7.2.29.txz: . done
    [22/119] Fetching php72-sysvsem-7.2.29.txz: . done
    [23/119] Fetching php72-sysvmsg-7.2.29.txz: .. done
    [24/119] Fetching php72-sqlite3-7.2.29.txz: ... done
    [25/119] Fetching php72-sockets-7.2.29.txz: ..... done
    [26/119] Fetching php72-simplexml-7.2.29.txz: ... done
    [27/119] Fetching php72-shmop-7.2.29.txz: . done
    [28/119] Fetching php72-session-7.2.29.txz: ..... done
    [29/119] Fetching php72-readline-7.2.29.txz: .. done
    [30/119] Fetching php72-posix-7.2.29.txz: .. done
    [31/119] Fetching php72-pecl-zmq-1.1.3_3.txz: .... done
    [32/119] Fetching php72-pecl-radius-1.4.0.b1.txz: ... done
    [33/119] Fetching php72-pecl-mcrypt-1.0.3.txz: .. done
    [34/119] Fetching php72-pear-XML_RPC2-1.1.4.txz: ........ done
    [35/119] Fetching php72-pear-Net_Socket-1.0.14.txz: . done
    [36/119] Fetching php72-pear-Net_SMTP-1.9.0.txz: .. done
    [37/119] Fetching php72-pear-1.10.6.txz: .......... done
    [38/119] Fetching php72-pdo_sqlite-7.2.29.txz: .. done
    [39/119] Fetching php72-pdo-7.2.29.txz: ...... done
    [40/119] Fetching php72-pcntl-7.2.29.txz: .. done
    [41/119] Fetching php72-openssl-7.2.29.txz: ....... done
    [42/119] Fetching php72-opcache-7.2.29.txz: .......... done
    [43/119] Fetching php72-mbstring-7.2.29.txz: .......... done
    [44/119] Fetching php72-ldap-7.2.29.txz: ... done
    [45/119] Fetching php72-json-7.2.29.txz: ... done
    [46/119] Fetching php72-hash-7.2.29.txz: .......... done
    [47/119] Fetching php72-gettext-7.2.29.txz: . done
    [48/119] Fetching php72-filter-7.2.29.txz: ... done
    [49/119] Fetching php72-dom-7.2.29.txz: ........ done
    [50/119] Fetching php72-curl-7.2.29.txz: .... done
    [51/119] Fetching php72-ctype-7.2.29.txz: . done
    [52/119] Fetching php72-bz2-7.2.29.txz: .. done
    [53/119] Fetching php72-bcmath-7.2.29.txz: ... done
    [54/119] Fetching php72-7.2.29.txz: .......... done
    [55/119] Fetching pftop-0.7_9.txz: ........ done
    [56/119] Fetching pfSense-rc-2.4.5_1.txz: .. done
    [57/119] Fetching pfSense-kernel-pfSense-2.4.5_1.txz: .......... done
    [58/119] Fetching pfSense-default-config-serial-2.4.5_1.txz: . done
    [59/119] Fetching pfSense-base-2.4.5_1.txz: .......... done
    [60/119] Fetching pfSense-Status_Monitoring-1.7.11_1.txz: ... done
    [61/119] Fetching pfSense-2.4.5_1.txz: . done
    [62/119] Fetching perl5-5.30.1.txz: .......... done
    [63/119] Fetching pcre-8.43_2.txz: .......... done
    [64/119] Fetching openvpn-2.4.9.txz: .......... done
    [65/119] Fetching openldap-client-2.4.48.txz: .......... done
    [66/119] Fetching oniguruma-6.9.3.txz: .......... done
    [67/119] Fetching ntp-4.2.8p14.txz: .......... done
    [68/119] Fetching nginx-1.16.1_11,2.txz: .......... done
    [69/119] Fetching nettle-3.5.1_1.txz: .......... done
    [70/119] Fetching mpd5-5.8_10.txz: .......... done
    [71/119] Fetching mobile-broadband-provider-info-20190618_1.txz: ........ done
    [72/119] Fetching miniupnpd-2.1.20190210,1.txz: ........ done
    [73/119] Fetching links-2.16_2,1.txz: .......... done
    [74/119] Fetching libzmq4-4.3.1_1.txz: .......... done
    [75/119] Fetching libxml2-2.9.10.txz: .......... done
    [76/119] Fetching libunistring-0.9.10_1.txz: .......... done
    [77/119] Fetching libucl-0.8.1.txz: .......... done
    [78/119] Fetching libnghttp2-1.40.0.txz: .......... done
    [79/119] Fetching liblz4-1.9.2,1.txz: .......... done
    [80/119] Fetching libidn2-2.3.0_1.txz: .......... done
    [81/119] Fetching libffi-3.2.1_3.txz: ..... done
    [82/119] Fetching libevent-2.1.11.txz: .......... done
    [83/119] Fetching libedit-3.1.20191211,1.txz: .......... done
    [84/119] Fetching libargon2-20190702.txz: ........ done
    [85/119] Fetching ldns-1.7.1_1.txz: .......... done
    [86/119] Fetching json-c-0.14.txz: ......... done
    [87/119] Fetching ipmitool-1.8.18_2.txz: .......... done
    [88/119] Fetching hostapd-2.9.txz: .......... done
    [89/119] Fetching gmp-6.1.2_1.txz: .......... done
    [90/119] Fetching glib-2.56.3_7,1.txz: .......... done
    [91/119] Fetching gettext-runtime-0.20.1.txz: .......... done
    [92/119] Fetching filterdns-2.0_3.txz: ... done
    [93/119] Fetching expat-2.2.8.txz: .......... done
    [94/119] Fetching dnsmasq-2.80_4,1.txz: .......... done
    [95/119] Fetching dmidecode-3.2.txz: ........ done
    [96/119] Fetching dhcpleases-0.3_2.txz: .. done
    [97/119] Fetching dhcp6-20080615.2_2.txz: .......... done
    [98/119] Fetching devcpu-data-1.28.txz: .......... done
    [99/119] Fetching curl-7.67.0.txz: .......... done
    [100/119] Fetching cpdup-1.20.txz: .... done
    [101/119] Fetching check_reload_status-0.0.8.txz: .... done
    [102/119] Fetching ccache-3.7.1.txz: .......... done
    [103/119] Fetching ca_root_nss-3.51.txz: .......... done
    [104/119] Fetching bsnmp-ucd-0.4.4.txz: ... done
    [105/119] Fetching bind-tools-9.14.12.txz: .......... done
    [106/119] Fetching python37-3.7.7.txz: .......... done
    [107/119] Fetching isc-dhcp44-server-4.4.1_4.txz: .......... done
    [108/119] Fetching isc-dhcp44-relay-4.4.1.txz: .......... done
    [109/119] Fetching isc-dhcp44-client-4.4.1_1.txz: .......... done
    [110/119] Fetching php72-intl-7.2.29.txz: .......... done
    [111/119] Fetching icu-65.1,1.txz: .......... done
    [112/119] Fetching lua-resty-core-0.1.17.txz: ... done
    [113/119] Fetching lua-resty-lrucache-0.09.txz: . done
    [114/119] Fetching luajit-openresty-2.1.20190912_2.txz: .......... done
    [115/119] Fetching libxslt-1.1.34.txz: .......... done
    [116/119] Fetching libgcrypt-1.8.5.txz: .......... done
    [117/119] Fetching libgpg-error-1.36.txz: .......... done
    [118/119] Fetching py37-ply-3.11.txz: .......... done
    [119/119] Fetching py37-setuptools-41.4.0_1.txz: .......... done
    Checking integrity... done (5 conflicting)
      - isc-dhcp44-server-4.4.1_4 [pfSense] conflicts with isc-dhcp43-server-4.3.6P1_1 [installed] on /usr/local/etc/dhcpd.conf.sample
      - isc-dhcp44-relay-4.4.1 [pfSense] conflicts with isc-dhcp43-relay-4.3.6P1_1 [installed] on /usr/local/etc/rc.d/isc-dhcrelay6
      - isc-dhcp44-client-4.4.1_1 [pfSense] conflicts with isc-dhcp43-client-4.3.6P1 [installed] on /usr/local/sbin/dhclient
      - luajit-openresty-2.1.20190912_2 [pfSense] conflicts with luajit-2.1.0.b3 [installed] on /usr/local/bin/luajit
      - py37-setuptools-41.4.0_1 [pfSense] conflicts with py27-setuptools-39.2.0 [installed] on /usr/local/bin/easy_install
    Checking integrity... done (0 conflicting)
    Conflicts with the existing packages have been found.
    One more solver iteration is needed to resolve them.
    The following 124 package(s) will be affected (of 0 checked):
    
    Installed packages to be REMOVED:
    	isc-dhcp43-client: 4.3.6P1
    	isc-dhcp43-relay: 4.3.6P1_1
    	isc-dhcp43-server: 4.3.6P1_1
    	luajit: 2.1.0.b3
    
    New packages to be INSTALLED:
    	icu: 65.1,1 [pfSense]
    	isc-dhcp44-client: 4.4.1_1 [pfSense]
    	isc-dhcp44-relay: 4.4.1 [pfSense]
    	isc-dhcp44-server: 4.4.1_4 [pfSense]
    	libgcrypt: 1.8.5 [pfSense]
    	libgpg-error: 1.36 [pfSense]
    	libxslt: 1.1.34 [pfSense]
    	lua-resty-core: 0.1.17 [pfSense]
    	lua-resty-lrucache: 0.09 [pfSense]
    	luajit-openresty: 2.1.20190912_2 [pfSense]
    	php72-intl: 7.2.29 [pfSense]
    	py37-ply: 3.11 [pfSense]
    	py37-setuptools: 41.4.0_1 [pfSense]
    	python37: 3.7.7 [pfSense]
    
    Installed packages to be UPGRADED:
    	bind-tools: 9.12.2P1 -> 9.14.12 [pfSense]
    	bsnmp-ucd: 0.4.2 -> 0.4.4 [pfSense]
    	ca_root_nss: 3.39 -> 3.51 [pfSense]
    	ccache: 3.4.2 -> 3.7.1 [pfSense]
    	cpdup: 1.18 -> 1.20 [pfSense]
    	curl: 7.62.0 -> 7.67.0 [pfSense]
    	devcpu-data: 1.19 -> 1.28 [pfSense]
    	dhcp6: 20080615.2 -> 20080615.2_2 [pfSense]
    	dhcpleases: 0.3_1 -> 0.3_2 [pfSense]
    	dmidecode: 3.1_1 -> 3.2 [pfSense]
    	dnsmasq: 2.79,1 -> 2.80_4,1 [pfSense]
    	expat: 2.2.5 -> 2.2.8 [pfSense]
    	filterdns: 2.0_1 -> 2.0_3 [pfSense]
    	gettext-runtime: 0.19.8.1_1 -> 0.20.1 [pfSense]
    	glib: 2.50.3_4,1 -> 2.56.3_7,1 [pfSense]
    	gmp: 6.1.2 -> 6.1.2_1 [pfSense]
    	hostapd: 2.6_2 -> 2.9 [pfSense]
    	ipmitool: 1.8.18_1 -> 1.8.18_2 [pfSense]
    	json-c: 0.13 -> 0.14 [pfSense]
    	ldns: 1.7.0_1 -> 1.7.1_1 [pfSense]
    	libargon2: 20171227 -> 20190702 [pfSense]
    	libedit: 3.1.20170329_2,1 -> 3.1.20191211,1 [pfSense]
    	libevent: 2.1.8_1 -> 2.1.11 [pfSense]
    	libffi: 3.2.1_2 -> 3.2.1_3 [pfSense]
    	libidn2: 2.0.5 -> 2.3.0_1 [pfSense]
    	liblz4: 1.8.2,1 -> 1.9.2,1 [pfSense]
    	libnghttp2: 1.32.0 -> 1.40.0 [pfSense]
    	libucl: 0.8.0 -> 0.8.1 [pfSense]
    	libunistring: 0.9.10 -> 0.9.10_1 [pfSense]
    	libxml2: 2.9.7 -> 2.9.10 [pfSense]
    	libzmq4: 4.2.3 -> 4.3.1_1 [pfSense]
    	links: 2.16,1 -> 2.16_2,1 [pfSense]
    	miniupnpd: 2.0.20180503,1 -> 2.1.20190210,1 [pfSense]
    	mobile-broadband-provider-info: 20170310 -> 20190618_1 [pfSense]
    	mpd5: 5.8_8 -> 5.8_10 [pfSense]
    	nettle: 3.4 -> 3.5.1_1 [pfSense]
    	nginx: 1.14.0_6,2 -> 1.16.1_11,2 [pfSense]
    	ntp: 4.2.8p12 -> 4.2.8p14 [pfSense]
    	oniguruma: 6.8.1 -> 6.9.3 [pfSense]
    	openldap-client: 2.4.46 -> 2.4.48 [pfSense]
    	openvpn: 2.4.6_1 -> 2.4.9 [pfSense]
    	pcre: 8.42 -> 8.43_2 [pfSense]
    	perl5: 5.26.2 -> 5.30.1 [pfSense]
    	pfSense: 2.4.4_1 -> 2.4.5_1 [pfSense]
    	pfSense-Status_Monitoring: 1.7.6 -> 1.7.11_1 [pfSense]
    	pfSense-base: 2.4.4_1 -> 2.4.5_1 [pfSense-core]
    	pfSense-default-config-serial: 2.4.4_1 -> 2.4.5_1 [pfSense-core]
    	pfSense-kernel-pfSense: 2.4.4_1 -> 2.4.5_1 [pfSense-core]
    	pfSense-rc: 2.4.4_1 -> 2.4.5_1 [pfSense-core]
    	pftop: 0.7_8 -> 0.7_9 [pfSense]
    	php72: 7.2.10 -> 7.2.29 [pfSense]
    	php72-bcmath: 7.2.10 -> 7.2.29 [pfSense]
    	php72-bz2: 7.2.10 -> 7.2.29 [pfSense]
    	php72-ctype: 7.2.10 -> 7.2.29 [pfSense]
    	php72-curl: 7.2.10 -> 7.2.29 [pfSense]
    	php72-dom: 7.2.10 -> 7.2.29 [pfSense]
    	php72-filter: 7.2.10 -> 7.2.29 [pfSense]
    	php72-gettext: 7.2.10 -> 7.2.29 [pfSense]
    	php72-hash: 7.2.10 -> 7.2.29 [pfSense]
    	php72-json: 7.2.10 -> 7.2.29 [pfSense]
    	php72-ldap: 7.2.10 -> 7.2.29 [pfSense]
    	php72-mbstring: 7.2.10 -> 7.2.29 [pfSense]
    	php72-opcache: 7.2.10 -> 7.2.29 [pfSense]
    	php72-openssl: 7.2.10 -> 7.2.29 [pfSense]
    	php72-pcntl: 7.2.10 -> 7.2.29 [pfSense]
    	php72-pdo: 7.2.10 -> 7.2.29 [pfSense]
    	php72-pdo_sqlite: 7.2.10 -> 7.2.29 [pfSense]
    	php72-pear: 1.10.5_1 -> 1.10.6 [pfSense]
    	php72-pear-Net_SMTP: 1.8.0 -> 1.9.0 [pfSense]
    	php72-pear-XML_RPC2: 1.1.3_1 -> 1.1.4 [pfSense]
    	php72-pecl-mcrypt: 1.0.1 -> 1.0.3 [pfSense]
    	php72-pecl-zmq: 1.1.3_2 -> 1.1.3_3 [pfSense]
    	php72-posix: 7.2.10 -> 7.2.29 [pfSense]
    	php72-readline: 7.2.10 -> 7.2.29 [pfSense]
    	php72-session: 7.2.10 -> 7.2.29 [pfSense]
    	php72-shmop: 7.2.10 -> 7.2.29 [pfSense]
    	php72-simplexml: 7.2.10 -> 7.2.29 [pfSense]
    	php72-sockets: 7.2.10 -> 7.2.29 [pfSense]
    	php72-sqlite3: 7.2.10 -> 7.2.29 [pfSense]
    	php72-sysvmsg: 7.2.10 -> 7.2.29 [pfSense]
    	php72-sysvsem: 7.2.10 -> 7.2.29 [pfSense]
    	php72-sysvshm: 7.2.10 -> 7.2.29 [pfSense]
    	php72-tokenizer: 7.2.10 -> 7.2.29 [pfSense]
    	php72-xml: 7.2.10 -> 7.2.29 [pfSense]
    	php72-xmlreader: 7.2.10 -> 7.2.29 [pfSense]
    	php72-xmlwriter: 7.2.10 -> 7.2.29 [pfSense]
    	php72-zlib: 7.2.10 -> 7.2.29 [pfSense]
    	python27: 2.7.15 -> 2.7.18 [pfSense]
    	radvd: 2.17_5 -> 2.18_2 [pfSense]
    	readline: 7.0.3_1 -> 8.0.1 [pfSense]
    	relayd: 5.5.20140810_2 -> 5.5.20140810_5 [pfSense]
    	rrdtool: 1.7.0_2 -> 1.7.2_1 [pfSense]
    	scponly: 4.8.20110526_2 -> 4.8.20110526_4 [pfSense]
    	smartmontools: 6.6_1 -> 7.0_2 [pfSense]
    	sqlite3: 3.24.0_1 -> 3.30.1 [pfSense]
    	sshguard: 2.2.0_4 -> 2.4.0_4,1 [pfSense]
    	strongswan: 5.7.1 -> 5.8.4 [pfSense]
    	uclcmd: 0.1_2 -> 0.1_3 [pfSense]
    	unbound: 1.8.1 -> 1.10.1 [pfSense]
    	wol: 0.7.1_3 -> 0.7.1_4 [pfSense]
    	wpa_supplicant: 2.6_2 -> 2.9 [pfSense]
    
    Installed packages to be REINSTALLED:
    	check_reload_status-0.0.8 [pfSense] (needed shared library changed)
    	php72-pear-Net_Socket-1.0.14 [pfSense] (ABI changed: 'freebsd:11:x86:64' -> 'freebsd:11:*')
    	php72-pecl-radius-1.4.0.b1 [pfSense] (option added: EXAMPLES)
    
    Number of packages to be removed: 4
    Number of packages to be installed: 14
    Number of packages to be upgraded: 101
    Number of packages to be reinstalled: 3
    
    The process will require 194 MiB more space.
    >>> Upgrading pfSense-rc... 
    Checking integrity... done (0 conflicting)
    The following 1 package(s) will be affected (of 0 checked):
    
    Installed packages to be UPGRADED:
    	pfSense-rc: 2.4.4_1 -> 2.4.5_1 [pfSense-core]
    
    Number of packages to be upgraded: 1
    [1/1] Upgrading pfSense-rc from 2.4.4_1 to 2.4.5_1...
    ===> Setting net.pf.request_maxcount=400000
    ===> Flagging this system to apply fix for FreeBSD-SA-19:10.ufs
    [1/1] Extracting pfSense-rc-2.4.5_1: ........ done
    >>> Upgrading pfSense kernel... 
    Checking integrity... done (0 conflicting)
    The following 1 package(s) will be affected (of 0 checked):
    
    Installed packages to be UPGRADED:
    	pfSense-kernel-pfSense: 2.4.4_1 -> 2.4.5_1 [pfSense-core]
    
    Number of packages to be upgraded: 1
    
    The process will require 10 MiB more space.
    [1/1] Upgrading pfSense-kernel-pfSense from 2.4.4_1 to 2.4.5_1...
    [1/1] Extracting pfSense-kernel-pfSense-2.4.5_1: .......... done
    ===> Keeping a copy of current kernel in /boot/kernel.old
    >>> Removing unnecessary packages... done.
    Upgrade is complete.  Rebooting in 10 seconds.
    Success
    

  • Rebel Alliance Developer Netgate

    @beremonavabi said in Update to 2.4.5-RELEASE-p1 (amd64) Bricked SG-4860:

    There were recurring error message scrolling by (I think they were about bad formats), but unfortunately, I didn't think to copy some of them down (sorry). I finally ended up installing a fresh copy of 2.4.5-RELEASE-p1 from a USB thumb drive.

    Those are the errors we'd need to see in order to speculate about what might have happened. Next time you update, connect to the console first and have your serial client log the output and capture everything that happens during the upgrade.

    We test upgrades and new installations on SG-4860 devices, so it isn't a general problem with the platform, but we're always interested in improving the upgrade experience if we can get enough information about problems people have with it.



  • @jimp Since it's happened twice to me (and I only find a very few instances of anyone else having the issue), I'm assuming there must be something marginal about my SG-4860. Hopefully, that won't grow into anything worse. But, next time, I'll try to remember to watch it through the console.

    Thanks for the reply.


Log in to reply